Last Comment Bug 594571 - Autoupdate to 2.0.7 seems to be broken (crash on startup)
: Autoupdate to 2.0.7 seems to be broken (crash on startup)
Status: RESOLVED FIXED
: fixed-seamonkey2.0.8, fixed-seamonkey2.0.9
Product: SeaMonkey
Classification: Client Software
Component: Release Engineering (show other bugs)
: SeaMonkey 2.0 Branch
: All All
: -- blocker (vote)
: ---
Assigned To: Robert Kaiser
:
Mentors:
http://crash-stats.mozilla.com/report...
: 594274 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-08 15:29 PDT by Bruno 'Aqualon' Escherl
Modified: 2010-10-04 19:40 PDT (History)
6 users (show)
kairo: blocking‑seamonkey2.0.8+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
comm-1.9.1 patch (1.91 KB, patch)
2010-09-08 17:13 PDT, Robert Kaiser
bugspam.Callek: review+
kairo: approval‑seamonkey2.0.8+
bugspam.Callek: approval‑seamonkey2.0.9+
Details | Diff | Splinter Review
comm-central patch (1.59 KB, patch)
2010-09-08 17:21 PDT, Robert Kaiser
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Bruno 'Aqualon' Escherl 2010-09-08 15:29:56 PDT
http://crash-stats.mozilla.com/products/SeaMonkey/versions/2.0.7

Lot's of crash reports on startup after autoupdate :-/
Comment 1 Robert Kaiser 2010-09-08 16:37:29 PDT
I have temporarily pulled updates for 2.0.6 -> 2.0.7 - and I might have an idea what could be done to fix it.
Comment 2 Robert Kaiser 2010-09-08 17:11:12 PDT
I don't have confirmation right now if that helps, but as bug 530447 suggests frankenbuilds of some sort and plays with compreg.dat maybe needing removal, I re-checked our removal of it on update and it turns out that the fool who did the bug 562047 patch (i.e. me) was confused as to the location of those files and didn't realize they live in components/ and not directly in the app dir.
Comment 3 Robert Kaiser 2010-09-08 17:13:48 PDT
Created attachment 473298 [details] [diff] [review]
comm-1.9.1 patch

I sincerely hope we get feedback that killing those files helps. If so, we'll do a firedill for this as fast as we can and go 2.0.8 even though the actual code won't change.
Comment 4 Robert Kaiser 2010-09-08 17:21:18 PDT
Created attachment 473304 [details] [diff] [review]
comm-central patch

Here's the same patch for c-c (context is slightly different)
Comment 5 Robert Kaiser 2010-09-08 19:12:44 PDT
Pushes of the compreg/xpti patch:
http://hg.mozilla.org/comm-central/rev/e4fba053742f
http://hg.mozilla.org/releases/comm-1.9.1/rev/4702557ae9b2
http://hg.mozilla.org/releases/comm-1.9.1/rev/a1b25b5742ca

I'll wait for reports from people on if deleting the compreg.dat file helps them before I start a firedrill.
Comment 6 Bruno 'Aqualon' Escherl 2010-09-09 00:25:14 PDT
So far one report from David E. Ross on http://groups.google.com/group/mozilla.support.seamonkey/msg/0b1b55e6e0d6bd42 that deleting compreg.dat helped.
Comment 7 Bruno 'Aqualon' Escherl 2010-09-09 01:37:18 PDT
See also bug 594699.
Comment 8 neil@parkwaycc.co.uk 2010-09-09 03:18:13 PDT
(In reply to comment #3)
> I sincerely hope we get feedback that killing those files helps. If so, we'll
> do a firedill for this as fast as we can and go 2.0.8 even though the actual
> code won't change.
I guess 2.0.6 -> 2.0.8 won't be an incremental update...
Comment 9 Robert Kaiser 2010-09-09 04:02:13 PDT
(In reply to comment #8)
> I guess 2.0.6 -> 2.0.8 won't be an incremental update...

Unfortunately no.
Comment 10 Bruno 'Aqualon' Escherl 2010-09-09 05:10:29 PDT
*** Bug 594274 has been marked as a duplicate of this bug. ***
Comment 11 Uli Link (:ul-mcamafia) 2010-09-09 10:07:20 PDT
(In reply to comment #9)
> (In reply to comment #8)
> > I guess 2.0.6 -> 2.0.8 won't be an incremental update...
> 
> Unfortunately no.

And a 2.0.7 Build2 isn't a clean solution, but those who hasn't got the automatic update by now will get a working incremental update and those who have updated without problems aren't affect either... Just a thought (and staying in sync with Thunderbird 3.0 version numbers).
Comment 12 Robert Kaiser 2010-09-09 11:11:43 PDT
(In reply to comment #11)
> And a 2.0.7 Build2 isn't a clean solution

You name it. Version numbers are cheap, matching TB was nice but a coincidence in the end, and I'd rather tell users to "install 2.0.8" than to "install the newer variant of 2.0.7" - apart from that's it's not trivial to exchange files on the mirror system and still ensure it matches what we think it does.

The message to users must be clear in the way that 2.0.8 solves the problem - even if that means that anyone shipping things more cleanly (e.g. Linux distros, where this file won't be written into the app dir in the first place) will have to either stay at 2.0.7 or ship a basically null-update to 2.0.8 just for the number - code-wise and security-wise, it will not matter.
Comment 13 Robert Kaiser 2010-09-09 14:10:19 PDT
bug 594837 is tracking the oilspill release, bug 594699 the other thing behind this crash, so let's mark this one fixed.

Note You need to log in before you can comment on or make changes to this bug.